#!/bin/sh

DEVICE="$1"

# This script makes sure that the stick is unmounted and unused
# Run this Script before the init process

# make sure the device is not mounted
umount /var/run/usbmount/*
rmdir /var/run/usbmount/*
sleep 1
umount ${DEVICE}*

# search for already encrypted volumes
device=$(encryptionprovider.py -g)

if [ "$?" == "0" ]
then
	encryptionprovider.py -u $device
fi